lp:ubuntu/trusty-proposed/linphone

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/trusty-proposed/linphone
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

30. By Dimitri John Ledkov

No change rebuild against glew 1.10.

29. By Dimitri John Ledkov

No change rebuild against libav 9.

28. By Luk Claes

* Non-maintainer upload.
* Apply Sebastian Ramacher's patch to fix FTBFS (Closes: #720668).

27. By Mark Purcell

Add Build-Depends: libudev-dev [linux-any]

26. By Mark Purcell

* New upstream release
 - NEW packages liblinphone5, libmediastreamer-base3, libortp9 - match soname

[ Felix Lechner ]
* New upstream version
* Update Standards-Version: 3.9.4
* Port Linphone to the new libeXosip API v4
  - Fixes "FTBFS: sal_eXosip2.c:49:2: error: too few arguments to function
  'eXosip_guess_localip'" (Closes: #710638)
  - Fixes "FTBFS for libexosip2-4 API" (Closes: #709860)
* Add dh_autoreconf (while upstream patch is pending)
* Enable IPv6
* Install documentation README.Debian about 'cv_addr_book.pl'
* Update package names to reflect library SONAMEs
* Drop Build-Depends: libsdl1.2-dev, libsamplerate0-dev, libglib2.0-dev
* Add Build-Depends: automake, quilt, libudev-dev, libpcap-dev, libsoup2.4,
  libupnp-dev, libssl-dev, libxext-dev, mesa-common-dev, libcunit1-dev,
  libspandsp-dev, vim-common, sgmltools-lite, libsqlite3-dev, libpulse-dev,
  libopus-dev

[ Mark Purcell ]
* Add additional Build-Dpends:

25. By Mark Purcell

* wheezy polish
* Update Standards-Version: 3.9.3
* Fix spelling-error-in-binary usr/bin/mediastream comand command
* Added manpage-section-mismatch.patch
* debian/compat -> 9 - hardening & multiarch

24. By Mark Purcell

* NEW package linphone-nogtk - CLI interface without libgtk
  - Fixes "linphonec segfaults without framebuffer" (Closes: #404113)
  - Fixes "please make a package separate for CLI" (Closes: #674221)
  - Fixes "please rework the deb dependencies" (Closes: #675389)
* Fix "FTBFS: linphonec.c:1432: undefined reference to
  `rl_attempted_completion_over'" patch from Sebastian Ramacher
  (Closes: #669501)
* Refresh Uploaders: last 12 months contribution
* Add Build-Depends: libncurses5-dev, libreadline6-dev

23. By Mark Purcell

* Urgency high for RC bug
* libortp-dev Depends: libsrtp0-dev [!hurd-any !sparc]
  - Fix "libortp-dev depends on libsrtp0-dev on less archs than
  required" (Closes: #662951)

22. By Mark Purcell

Exclude libsrtp-dev [!hurd !sparc] only where it FTFBS (Closes: #661645)

21. By Mark Purcell

* [!linux] --disable-video (Closes: #661336)
* Build-Depends: libsrtp-dev [linux-any !sparc] - see Bug 628583

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/linphone
This branch contains Public information 
Everyone can see this information.

Subscribers